# SceKernelModuleInfo Struct Reference
[Module Manager Library]

`#include <sdk/user/pspmodulemgr.h>`

## Data Fields

SceSize | size
char | nsegment
char | reserved [3]
int | segmentaddr [4]
int | segmentsize [4]
unsigned int | entry_addr
unsigned int | gp_value
unsigned int | text_addr
unsigned int | text_size
unsigned int | data_size
unsigned int | bss_size
unsigned short | attribute
unsigned char | version [2]
char | name [28]

## Field Documentation

unsigned short SceKernelModuleInfo::attribute

unsigned int SceKernelModuleInfo::bss_size

unsigned int SceKernelModuleInfo::data_size

unsigned int SceKernelModuleInfo::entry_addr

unsigned int SceKernelModuleInfo::gp_value

char SceKernelModuleInfo::name[28]

char SceKernelModuleInfo::nsegment

char SceKernelModuleInfo::reserved[3]

int SceKernelModuleInfo::segmentaddr[4]

int SceKernelModuleInfo::segmentsize[4]

SceSize SceKernelModuleInfo::size

unsigned int SceKernelModuleInfo::text_addr

unsigned int SceKernelModuleInfo::text_size

unsigned char SceKernelModuleInfo::version[2]

The documentation for this struct was generated from the following file:

- sdk/user/pspmodulemgr.h